## IdeTagsBuilder IdeTagsBuilder |

## Functions

void | ide_tags_builder_build_async ()
gboolean | ide_tags_builder_build_finish ()

## Types and Values

#define | IDE_TYPE_TAGS_BUILDER
struct | IdeTagsBuilderInterface
| IdeTagsBuilder

## Object Hierarchy

        GInterface
        ╰── IdeTagsBuilder

## Prerequisites

IdeTagsBuilder requires GObject.

## Description

## Functions

### ide_tags_builder_build_async ()

    void
    ide_tags_builder_build_async (IdeTagsBuilder *self,
                                  GFile *directory_or_file,
                                  gboolean recursive,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

### ide_tags_builder_build_finish ()

    gboolean
    ide_tags_builder_build_finish (IdeTagsBuilder *self,
                                   GAsyncResult *result,
                                   GError **error);

## Types and Values

### IDE_TYPE_TAGS_BUILDER

    #define IDE_TYPE_TAGS_BUILDER (ide_tags_builder_get_type ())

### struct IdeTagsBuilderInterface

    struct IdeTagsBuilderInterface {
      GTypeInterface parent;

      void     (*build_async)  (IdeTagsBuilder       *self,
                                GFile                *directory_or_file,
                                gboolean              recursive,
                                GCancellable         *cancellable,
                                GAsyncReadyCallback   callback,
                                gpointer              user_data);
      gboolean (*build_finish) (IdeTagsBuilder       *self,
                                GAsyncResult         *result,
                                GError              **error);
    };

### IdeTagsBuilder

    typedef struct _IdeTagsBuilder IdeTagsBuilder;